JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class BaseTSD.LONG_PTR

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.BaseTSD.LONG_PTR

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Direct Known Subclasses:
  BaseTSD.SSIZE_T, WinDef.LPARAM, WinDef.LPVOID, WinDef.LRESULT

Enclosing interface:
  BaseTSD

    public static class BaseTSD.LONG_PTR

extends IntegerType

Signed long type for pointer precision. Use when casting a pointer to a long to perform pointer arithmetic.

See Also:
  Serialized Form

Constructor Summary
`BaseTSD.LONG_PTR()`
`BaseTSD.LONG_PTR(long value)`

Method Summary
`Pointer` `toPointer()`

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseTSD.LONG_PTR

    public BaseTSD.LONG_PTR()

### BaseTSD.LONG_PTR

    public BaseTSD.LONG_PTR(long value)

Method Detail

### toPointer

    public Pointer toPointer()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.